#include <Stepper.h>
// Define number of steps per rotation:
const int stepsPerRevolution = 2048;
// Wiring:
// Pin 0 to IN1 on the ULN2003 driver
// Pin 1 to IN2 on the ULN2003 driver
// Pin 2 to IN3 on the ULN2003 driver
// Pin 3 to IN4 on the ULN2003 driver
// Create stepper object called 'myStepper', note the pin order:
Stepper myStepper = Stepper(stepsPerRevolution, 0, 2, 1, 3);
void setup() {
  // Set the speed to 8 rpm:
  myStepper.setSpeed(8);
}
void loop() {
  // Step one revolution in one direction:
  myStepper.step(stepsPerRevolution);
  delay(500);
  
  // Step one revolution in the other direction:
  myStepper.step(-stepsPerRevolution);
  delay(500);
}
